=== uml/startup.old/Makefile ===
dot: DEPENDENCIES.dot
	dot -Tpng -o DEPENDENCIES.png DEPENDENCIES.dot
