=== debian/changelog ===
marionnet (0.90.6+bzr434-1) unstable; urgency=low

  [ Nicolas Dandrimont ]
  * New upstream snapshot
    - Fixes FTBFS from the LedGrid module move (Closes: #713534)
  * Add myself to uploaders
  * Bump ocamlbricks requirement
  * Move to Standards-Version 3.9.4 (no changes)
  * Use canonical Vcs URIs
  * Add DEP-3 info to the patches
  * Add multiarch instructions to run marionnet on amd64

  [ Lucas Nussbaum ]
  * Add patch to add a --download-only option to marionnet_from_scratch.
  * Document how to install kernels and filesystems in README.Debian
  * New upstream snapshot (r434).
  * Drop 0003-Hack-marionnet-from-scratch-to-download-only.patch: the idea
     was merged upstream.
  * Bump ocamlbricks dependency to r367.
  * Do not list README.Debian in debian/docs (not needed).
  * Add init script:
    - Display a warning when no kernels or filesystems are found.
    - Improve doc in README.Debian about kernels and filesystems.
    - Add depend on lsb-base.
  * Add missing dependency on uml-utilities.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 10 Jul 2013 10:07:33 +0200

marionnet (0.90.6+bzr407-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Initial release (Closes: #489392)
  * This is a preliminary package for marionnet. Missing at the moment:
    - script to help download kernels/filesystems
    - init script to start the daemon
  * Add missing copyright info after first ftpmasters review.

  [ Nicolas Dandrimont ]
  * Add missing dependencies on graphviz and vde2
  * Update rules and d/clean to allow building twice from the same sourcedir

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 29 Mar 2013 15:57:12 +0100
