=== debian/control ===
Source: marionnet
Section: net
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
Build-Depends: debhelper (>= 8.0.0),
 ocaml-nox (>= 3.12.1),
 dh-ocaml (>= 0.9.1),
 camlp4-extra,
 ocaml-findlib,
 liblablgtk2-ocaml-dev (>= 2.12.0-2),
 libocamlbricks-ocaml-dev (>= 0.90+bzr367~),
 liblablgtksourceview2-ocaml-dev (>= 2.14.2)
Standards-Version: 3.9.4
Homepage: http://www.marionnet.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/marionnet.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/marionnet.git

Package: marionnet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends},
 graphviz,
 liblablgtk2-ocaml-dev (>= 2.12.0-2),
 libocamlbricks-ocaml-dev (>= 0.90+bzr367~),
 liblablgtksourceview2-ocaml-dev (>= 2.14.2),
 vde2,
 lsb-base (>= 3.2-14),
 uml-utilities
Description: Virtual network laboratory
 Marionnet is a virtual network laboratory: it allows users to define,
 configure and run complex computer networks without any need for physical
 setup. Only a single, possibly even non-networked GNU/Linux host machine
 is required to simulate a whole Ethernet network complete with computers,
 routers, hubs, switches, cables, and more. Support is also provided for
 integrating the virtual network with the physical host network.
 .
 As Marionnet is meant to be used also by inexperienced people, it features
 a very intuitive graphical user interface. Marionnet depends on User Mode
 Linux and VDE Virtual Distributed Ethernet for the simulation part.
