=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with ocaml

override_dh_auto_build:
	cp -f po/messages.pot po/messages.pot.orig
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm debian/marionnet/usr/share/marionnet/COPYING # remove duplicate copyright file
	if [ -e debian/marionnet/usr/sbin/marionnet-daemon.native ]; then \
		mv debian/marionnet/usr/sbin/marionnet-daemon.native debian/marionnet/usr/sbin/marionnet-daemon ; \
		mv debian/marionnet/usr/bin/marionnet.native debian/marionnet/usr/bin/marionnet ; \
	        rm debian/marionnet/usr/sbin/marionnet-daemon.byte ; \
	        rm debian/marionnet/usr/bin/marionnet.byte ; \
	else \
		mv debian/marionnet/usr/sbin/marionnet-daemon.byte debian/marionnet/usr/sbin/marionnet-daemon ;\
		mv debian/marionnet/usr/bin/marionnet.byte debian/marionnet/usr/bin/marionnet ; \
	fi

override_dh_auto_clean:
	dh_auto_clean
	if [ -f po/messages.pot.orig ]; then mv po/messages.pot.orig po/messages.pot; fi

# see https://launchpad.net/marionnet/trunk
PACKAGE = marionnet
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
BZR_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/bzr//' )
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	bzr branch -r $(BZR_REVISION) lp:$(PACKAGE)/trunk get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	make -C get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig meta.ml.released
	rm get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig/meta.ml
	rm -rf get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig/.bzr
	GZIP=--best tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

.PHONY: get-orig-source
