## marionnet 0.90.6+bzr457

=== Makefile ===
--- 
+++ 
@@ -84,16 +84,14 @@
 	@($(call BUILD_NATIVE_ANDOR_BYTECODE,libraries) ) # Spaces are ok
 
 # Build programs; bytecode, native, or both:
-# Force the meta.ml regeneration at next make call
 programs: c-modules programs-local
 	@($(call BUILD_NATIVE_ANDOR_BYTECODE,programs) ) # Spaces are ok
-	touch META
 
 # Build the native and/or bytecode version of $(1). $(1) may be either
 # "libraries" or "programs". *Don't* put a space before the argument.
 BUILD_NATIVE_ANDOR_BYTECODE = \
 	(if [ "$$( $(call NATIVE) )" == 'native' ]; then \
-	  echo "Builing native $(1)..."; \
+	  echo "Building native $(1)..."; \
 	  if $(MAKE) native-$(1); then \
 	    echo "Success: native $(1) were built."; \
 	  else \
@@ -101,7 +99,7 @@
 	    exit -1; \
 	  fi; \
 	else \
-	  echo "NOT builing native $(1)..."; \
+	  echo "NOT building native $(1)..."; \
 	fi; \
 	if [ "$$( $(call BYTE) )" == 'byte' ]; then \
 	  echo "Builing bytecode $(1)..."; \
@@ -112,7 +110,7 @@
 	    exit -1; \
 	  fi; \
 	else \
-	  echo "NOT builing bytecode $(1)..."; \
+	  echo "NOT building bytecode $(1)..."; \
 	fi)
 
 # Build only native programs:
@@ -141,10 +139,10 @@
 # foo.byte   : manually_pre_actions
 # foo.native : manually_pre_actions
 #
-# MANUALLY_PRE_COPY_IN_build = include_as_string.ml USAGE.txt
-# MANUALLY_PRE_MAKE_IN_build = include_as_string.cmo
+# MANUALLY_PRE_COPY_IN_build = include_as_string_p4.ml USAGE.txt
+# MANUALLY_PRE_MAKE_IN_build = include_as_string_p4.cmo
 #
-# _build/include_as_string.cmo: include_as_string.ml
+# _build/include_as_string_p4.cmo: include_as_string_p4.ml
 #	ocamlc -c -I +camlp4 camlp4lib.cma -pp camlp4of -o $@ $<
 
 .PHONY : manually_pre_actions manually_post_actions
@@ -210,7 +208,6 @@
 # Edit all ml/mli files and Makefile.local with your $EDITOR
 edit:
 	test -n "$$EDITOR" && $$EDITOR Makefile.local $$(find . \( -name "_build*" -o -name "meta.ml" -o -name "$(EXCLUDE_FROM_EDITING)" -o -name "version.ml" -o -name "gui.ml" -o -name myocamlbuild.ml \) -prune -o -type f -a \( -name "*.ml" -o -name "*.mli" \) -print) &
-
 # Create the documentation
 documentation: world documentation-local
 	chmod +x Makefile.d/doc.sh
@@ -236,7 +233,7 @@
 OTHER_DOCUMENTATION_TO_INSTALL =
 
 # Install the documentation from this package (_build/doc) into $prefix/share/$name:
-install-documentation: install-documentation-local
+install-documentation: META CONFIGME install-documentation-local
 	@($(call READ_CONFIG, documentationprefix); \
 	$(call READ_META, name); \
 	directory=$$documentationprefix/$$name; \
@@ -273,7 +270,7 @@
 install-doc: install-documentation
 
 # Install the data from this package into $prefix/share/$name:
-install-data: main install-data-local
+install-data: META CONFIGME main install-data-local
 	@($(call READ_CONFIG, prefix); \
 	$(call READ_META, name); \
 	directory=$$prefix/share/$$name; \
@@ -307,7 +304,7 @@
 	fi)
 
 # Install the software configuration files, if any:
-install-configuration: install-configuration-local
+install-configuration: META CONFIGME install-configuration-local
 	@($(call READ_CONFIG, configurationprefix); \
 	$(call READ_META, name); \
 	if [ -e etc ]; then \
@@ -327,6 +324,6 @@
 	fi)
 
 # Uninstall the software configuration files, if any:
-uninstall-configuration: uninstall-configuration-local
+uninstall-configuration: CONFIGME uninstall-configuration-local
 	@($(call READ_CONFIG, configurationprefix); \
 	if [ -e etc ]; then \
