=== uml/pupisto.debian/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # This file is part of marionnet
-# Copyright (C) 2013  Jean-Vincent Loddo
-# Copyright (C) 2013  Université Paris 13
+# Copyright (C) 2013, 2014  Jean-Vincent Loddo
+# Copyright (C) 2013, 2014  Université Paris 13
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -20,7 +20,7 @@
 #                     Building `guignol'
 # =============================================================
 
-KERNEL_VERSION=3.2.48
+KERNEL_VERSION=3.2.60
 
 wheezy: dependencies
 	./pupisto.debian.sh --kernel $(KERNEL_VERSION) -t ext2 -r wheezy
@@ -52,7 +52,7 @@
 # =============================================================
 
 # REQUIRED_PACKAGES=debootstrap fakeroot fakechroot
-REQUIRED_PACKAGES=debootstrap
+REQUIRED_PACKAGES=debootstrap realpath
 dependencies:
 	@echo "Required packages: $(REQUIRED_PACKAGES)"
 	@which dpkg 1>/dev/null || { echo "Not a Debian system (oh my god!); please install packages corresponding to: $(REQUIRED_PACKAGES)"; exit 1; }
