=== debian/changelog ===
marionnet (0.90.6+bzr457-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 08 Jul 2014 11:32:38 +0200

marionnet (0.90.6+bzr448-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 02 Apr 2014 16:59:06 +0200

marionnet (0.90.6+bzr434-2) unstable; urgency=low

  [ Lucas Nussbaum ]
  * add warning about -nolisten tcp in init script
  * Switch Architecture to i386 amd64. user-mode-linux only works on
    those architectures.
  * Move startup checks to a separate script.
  * Add marionnet service file.
  * Fix lintian warnings: extra-license-file.

  [ Nicolas Dandrimont ]
  * Update my email address

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 24 Aug 2013 17:17:34 +0200
