=== debian/control ===
--- 
+++ 
@@ -2,26 +2,27 @@
 Section: net
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
+Uploaders: Lucas Nussbaum <lucas@debian.org>, Nicolas Dandrimont <olasd@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
  ocaml-nox (>= 3.12.1),
  dh-ocaml (>= 0.9.1),
  camlp4-extra,
  ocaml-findlib,
  liblablgtk2-ocaml-dev (>= 2.12.0-2),
- libocamlbricks-ocaml-dev (>= 0.90+bzr367~),
- liblablgtksourceview2-ocaml-dev (>= 2.14.2)
+ libocamlbricks-ocaml-dev (>= 0.90+bzr393~),
+ liblablgtksourceview2-ocaml-dev (>= 2.14.2),
+ dh-systemd (>= 1.5)
 Standards-Version: 3.9.4
 Homepage: http://www.marionnet.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/marionnet.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/marionnet.git
 
 Package: marionnet
-Architecture: any
+Architecture: i386 amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends},
  graphviz,
  liblablgtk2-ocaml-dev (>= 2.12.0-2),
- libocamlbricks-ocaml-dev (>= 0.90+bzr367~),
+ libocamlbricks-ocaml-dev (>= 0.90+bzr393~),
  liblablgtksourceview2-ocaml-dev (>= 2.14.2),
  vde2,
  lsb-base (>= 3.2-14),
