=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml --with systemd
 
 override_dh_auto_build:
 	cp -f po/messages.pot po/messages.pot.orig
@@ -12,6 +12,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/marionnet/usr/share/marionnet/COPYING # remove duplicate copyright file
+	rm debian/marionnet/usr/share/marionnet/images/Artistic
+	rm debian/marionnet/usr/share/marionnet/images/lgpl-3.0.txt
 	if [ -e debian/marionnet/usr/sbin/marionnet-daemon.native ]; then \
 		mv debian/marionnet/usr/sbin/marionnet-daemon.native debian/marionnet/usr/sbin/marionnet-daemon ; \
 		mv debian/marionnet/usr/bin/marionnet.native debian/marionnet/usr/bin/marionnet ; \
